| Home | Libraries | People | FAQ | More

##### basic_parser::done

Return true if a complete JSON has been parsed.

###### Synopsis

    bool
    done() const;

###### Description

This function returns `true` when all of these conditions are met:

- A complete serialized JSON has been presented to the parser, and
- No error or exception has occurred since the parser was constructed, or since the last call to `reset`,

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.